Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3166 - Gtk text field history dropdown problems
Summary: Gtk text field history dropdown problems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Federico Musto
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-30 22:24 UTC by Adam Spiers
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-28 16:06:51 UTC


Attachments (Terms of Use)

Description Adam Spiers 1999-05-30 22:24:21 UTC
(Gtk bug?)

If for example you're entering the pathname of an icon
for a launcher on the GNOME panel (or indeed entering text
in any Gtk text field with a history dropdown, it seems),
it remembers any old entries in the history dropdown.  This
is great, but there are two bugs:

   + it doesn't remove duplicates from the history dropdown
   + if there is an entry in the history dropdown which
     matches the one you are trying to enter, ignoring
     differences in case, it auto-corrects your entries
     capitalization to that of the one in the history.
     This is very nice except for one problem: if you
got         the capitalization wrong first time, you're then
sunk        -- you can't enter it the right way!

Comment 1 Owen Taylor 1999-06-07 21:49:59 UTC
This is a bug in the GnomeEntry widget.

Comment 2 Elliot Lee 1999-09-01 19:25:59 UTC
Assign bug to GnomeEntry author.


Note You need to log in before you can comment on or make changes to this bug.